Package org.eclipse.m2m.atl.adt.ui.text

# Class AtlHeuristicScanner.SkippingScopeMatch

java.lang.Object
org.eclipse.m2m.atl.adt.ui.text.AtlHeuristicScanner.SkippingScopeMatch

All Implemented Interfaces:
  `AtlHeuristicScanner.StopCondition`

Enclosing class:
  `AtlHeuristicScanner`

protected class AtlHeuristicScanner.SkippingScopeMatch extends Object
Acts like character match, but skips all scopes introduced by parenthesis, brackets, and braces.

## Constructor Summary

Constructors
Constructor
Description
`SkippingScopeMatch(char ch)`
Creates a new instance.
`SkippingScopeMatch(char[] chars)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`stop(char ch, int position, boolean forward)`
Instructs the scanner to return the current position.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SkippingScopeMatch

public SkippingScopeMatch(char ch)
Creates a new instance.

Parameters:
  `ch` - the single character to match

### SkippingScopeMatch

public SkippingScopeMatch(char[] chars)
Creates a new instance.

Parameters:
  `chars` - the chars to match.

## Method Details

### stop

public boolean stop(char ch, int position, boolean forward)
Description copied from interface: `AtlHeuristicScanner.StopCondition`
Instructs the scanner to return the current position.

Specified by:
  `stop` in interface `AtlHeuristicScanner.StopCondition`
Parameters:
  `ch` - the char at the current position
  `position` - the current position
  `forward` - the iteration direction
Returns:
  `true` if the stop condition is met.